Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5023 - linux does not boot from hard disk: kernel panic VFS: unable to mount root fs on 03:03
Summary: linux does not boot from hard disk: kernel panic VFS: unable to mount root fs...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: aboot
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-09 14:09 UTC by jeffersontan
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-24 19:43:12 UTC


Attachments (Terms of Use)

Description jeffersontan 1999-09-09 14:09:40 UTC
/dev/hda2 was partitioned, formatted and installed with
Red Hat Linux 6.0 from CD. /dev/hda3 is the linux swap and
/dev/hda1 is an NT partition.

At boot time, linux boot stops right after autorun says
"DONE" with this message:

Kernel panic VFS: unable to mount root fs on 03:03

But if we were to boot from a floppy and mount /dev/hda2 as
root from there then it's fine.

The bootable flag has been set for both /dev/hda2 and
/dev/hda1. The hard disk is a Quantum Fireball CR8.4A 8063MB
hard disk with 418KB Cache. The default is linux (its
lilo.conf entry precedes that of "other").

The NT partition boots fine. The linux partition is
about 1.3GB. The swap partition is about 60MB. The lilo.conf
entry looks normal.

Comment 1 Preston Brown 1999-09-24 19:43:59 UTC
something is wrong with your /etc/lilo.conf.  I bet you have
root=/dev/hda3 in there, not /dev/hda2.


Note You need to log in before you can comment on or make changes to this bug.